define("smashThePigScaterSymbolsDeclaration", ["smashThePigWinAnimatorPort", "componentmodelComponentApi", "slotModelApi", "gameLayoutApi", "clientkernelEventbusApi"],
    function(smashThePigWinAnimatorPort, componentmodelComponentApi, slotModelApi, gameLayoutApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof smashThePigScaterSymbolsDeclaration == 'undefined') {
            var smashThePigScaterSymbolsDeclaration = {};
        };
        smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration = function() {};
        smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration = ck_implements(smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration, componentmodelComponentApi.IComponentDeclaration);
        smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration.__name__ = ["smashThePigScaterSymbolsDeclaration", "ScaterSymbolsDeclaration"];
        smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration.prototype.getImplementedPorts = function() {
            return [];
        };
        smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration.prototype.getUsedPorts = function() {
            return [slotModelApi.IOutcomePhasePort, gameLayoutApi.IGameLayoutPort, smashThePigWinAnimatorPort.IWinAnimatorPort];
        };
        smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration.prototype.__class__ = smashThePigScaterSymbolsDeclaration.ScaterSymbolsDeclaration;
        return {
            exports: smashThePigScaterSymbolsDeclaration
        };
    });
//# sourceURL=smashThePigScaterSymbolsDeclaration.js